Page MenuHomePhabricator

Define the Technical Collaboration annual plan FY2016-17
Closed, ResolvedPublic

Description

The WMF Annual Plan FY2016-17 draft has been published. The Technical Collaboration plans can be found here:

Community-Relations-Support and Developer-Advocacy (aka Technical Collaboration) will coordinate annual plan, goals, and budget asks. We need to contribute our part to the Wikimedia Foundation Annual Plan for the fiscal year 2016-17 (July 2016 to June 2017).

The community review has started in the discussion page. Please post your feedback there. This task is only for tracking purposes.

Previous description

The production of the WMF Annual Plan is divided in two areas: core work and strategic work. Our team is tracking progress for each area in separate subtasks:

Related Objects

Event Timeline

Qgil created this task.Jan 19 2016, 10:08 AM
Qgil claimed this task.
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2016, 10:09 AM
Qgil moved this task from Backlog to Doing on the Liaisons-January-2016 board.Jan 26 2016, 7:10 AM
Qgil moved this task from Backlog to Doing on the DevRel-January-2016 board.Jan 26 2016, 7:00 PM
Elitre added a subscriber: Elitre.Jan 27 2016, 7:08 PM
Qgil moved this task from Backlog to Doing on the Liaisons-February-2016 board.Feb 2 2016, 1:47 PM
Qgil renamed this task from Define the Community Liaisons and Developer Relations annual plan FY2016-17 to Define the Technical Collaboration annual plan FY2016-17.Feb 11 2016, 7:36 AM
Qgil updated the task description. (Show Details)
Qgil set Security to None.
Qgil updated the task description. (Show Details)Feb 12 2016, 10:25 AM
Qgil updated the task description. (Show Details)
Qgil lowered the priority of this task from Medium to Low.Mar 17 2016, 11:50 AM

Technical Collaboration's annual plan went through Community Engagement review, and now has entered WMF-wide review with the rest of CE's plans. We took some cuts that have been explained at T124420: Technical Collaboration narratives and budget for strategic work.

The WMF Annual Plan proposal is expected to be submitted to the Funds Dissemination Committee by April 1. This means that the next two weeks might be intense with internal negotiations. After that, it will depend on the FDC and the communities feedback.

I'm lowering priority in this task only because from now on my role is going to be more reactive than proactive.

Qgil updated the task description. (Show Details)Apr 2 2016, 1:33 PM
Qgil added a comment.May 18 2016, 8:44 PM

We got some feedback from the FDC about our programs, CE's 7 and 8.

I just replied to their comments on Program 7 (Improve collaboration with communities in product development), which were not directly related to our proposal: https://meta.wikimedia.org/wiki/Grants_talk:APG/FDC_recommendations/2015-2016_round_2#WMF_-_Community_Engagement_-_Program_7

Their feedback on program 8 (Connect volunteer developer work with community technical needs) has been positive.

So far, looking good. :)

Qgil added a comment.Jun 1 2016, 2:32 PM

Our plans were essential kept in the revised version of the annual plan. There were only a few subtle changes in wording.

Qgil moved this task from May to June on the Community-Relations-Support (Apr-Jun-2016) board.
Qgil added a comment.Jun 6 2016, 6:38 AM

This week's Signpost mentions our plans:

The Foundation is rolling out a new process to work with the communities in researching and building better software products. How best to integrate community voices in product decision-making has traditionally been controversial, leading to repeated stand-offs.

Qgil closed this task as Resolved.Jun 30 2016, 7:30 AM

The final version of the WMF Annual Plan FY2016-17 has been approved and published:

https://meta.wikimedia.org/wiki/Wikimedia_Foundation_Annual_Plan/2016-2017/Final#Program_7:_Improve_collaboration_with_communities_in_product_development

There are no changes from the previous version in our two programs.

Our two programs are now linked from the Technical Collaboration team page (diff).

Thank you for all the people who provided feedback for this plan. Its implementation will be tracked through tasks and subtasks that we will document in the team page as well.

Resolving.